EXTRA_DIST = reject.png target.png kmyfirewall-64.png kmyfirewall-48.png kmyfirewall-32.png kmyfirewall-22.png kmyfirewall-16.png kmyfirewall-48-lo.png kmyfirewall-32-lo.png kmyfirewall-16-lo.png rule-16.png rule-22.png rule-32.png rule-48.png rule-64.png 

install-data-local:

# App icons

	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/64x64/apps/
	$(INSTALL_DATA) $(srcdir)/kmyfirewall-64.png $(DESTDIR)$(kde_icondir)/hicolor/64x64/apps/kmyfirewall.png
	
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/48x48/apps/
	$(INSTALL_DATA) $(srcdir)/kmyfirewall-48.png $(DESTDIR)$(kde_icondir)/hicolor/48x48/apps/kmyfirewall.png

	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps/
	$(INSTALL_DATA) $(srcdir)/kmyfirewall-32.png $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps/kmyfirewall.png

	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/22x22/apps/
	$(INSTALL_DATA) $(srcdir)/kmyfirewall-22.png $(DESTDIR)$(kde_icondir)/hicolor/22x22/apps/kmyfirewall.png
	
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/16x16/apps/
	$(INSTALL_DATA) $(srcdir)/kmyfirewall-16.png $(DESTDIR)$(kde_icondir)/hicolor/16x16/apps/kmyfirewall.png

	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/locolor/48x48/apps/
	$(INSTALL_DATA) $(srcdir)/kmyfirewall-48-lo.png $(DESTDIR)$(kde_icondir)/locolor/48x48/apps/kmyfirewall.png

	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/locolor/32x32/apps/
	$(INSTALL_DATA) $(srcdir)/kmyfirewall-32-lo.png $(DESTDIR)$(kde_icondir)/locolor/32x32/apps/kmyfirewall.png

	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/
	$(INSTALL_DATA) $(srcdir)/kmyfirewall-16-lo.png $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/kmyfirewall.png

	
# Internal icons
# KMFyFirewall	
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmyfirewall/pics/
	$(INSTALL_DATA)  $(srcdir)/kmf_snapshot_generic_interface.png $(DESTDIR)$(kde_datadir)/kmyfirewall/pics/kmf_snapshot_generic_interface.png
	$(INSTALL_DATA)  $(srcdir)/kmf_snapshot_iptables_interface.png $(DESTDIR)$(kde_datadir)/kmyfirewall/pics/kmf_snapshot_iptables_interface.png
	
	$(INSTALL_DATA)  $(srcdir)/reject.png $(DESTDIR)$(kde_datadir)/kmyfirewall/pics/reject.png
	$(INSTALL_DATA)  $(srcdir)/target.png $(DESTDIR)$(kde_datadir)/kmyfirewall/pics/target.png

	
	$(INSTALL_DATA)  $(srcdir)/splash.png $(DESTDIR)$(kde_datadir)/kmyfirewall/pics/splash.png
	$(INSTALL_DATA)  $(srcdir)/splash_cut.png $(DESTDIR)$(kde_datadir)/kmyfirewall/pics/splash_cut.png
	
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/16x16/actions/
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/22x22/actions/
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/32x32/actions/
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/48x48/actions/
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/64x64/actions/
	$(INSTALL_DATA)  $(srcdir)/rule-16.png $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/16x16/actions/rule.png
	$(INSTALL_DATA)  $(srcdir)/rule-22.png $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/22x22/actions/rule.png
	$(INSTALL_DATA)  $(srcdir)/rule-32.png $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/32x32/actions/rule.png
	$(INSTALL_DATA)  $(srcdir)/rule-48.png $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/48x48/actions/rule.png
	$(INSTALL_DATA)  $(srcdir)/rule-64.png $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/64x64/actions/rule.png
	$(INSTALL_DATA)  $(srcdir)/user_defined-16.png	$(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/16x16/actions/user_defined.png
	$(INSTALL_DATA)  $(srcdir)/builtin-16.png	$(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/16x16/actions/builtin.png
	$(INSTALL_DATA)  $(srcdir)/table-16.png	$(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/16x16/actions/table.png

# KMFSysTray
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmfsystray/pics/

	$(INSTALL_DATA)  $(srcdir)/reject.png $(DESTDIR)$(kde_datadir)/kmfsystray/pics/reject.png
	$(INSTALL_DATA)  $(srcdir)/target.png $(DESTDIR)$(kde_datadir)/kmfsystray/pics/target.png

	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmfsystray/icons/hicolor/16x16/actions/
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmfsystray/icons/hicolor/22x22/actions/
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmfsystray/icons/hicolor/32x32/actions/
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmfsystray/icons/hicolor/48x48/actions/
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmfsystray/icons/hicolor/64x64/actions/
	$(INSTALL_DATA)  $(srcdir)/rule-16.png $(DESTDIR)$(kde_datadir)/kmfsystray/icons/hicolor/16x16/actions/rule.png
	$(INSTALL_DATA)  $(srcdir)/rule-22.png $(DESTDIR)$(kde_datadir)/kmfsystray/icons/hicolor/22x22/actions/rule.png
	$(INSTALL_DATA)  $(srcdir)/rule-32.png $(DESTDIR)$(kde_datadir)/kmfsystray/icons/hicolor/32x32/actions/rule.png
	$(INSTALL_DATA)  $(srcdir)/rule-48.png $(DESTDIR)$(kde_datadir)/kmfsystray/icons/hicolor/48x48/actions/rule.png
	$(INSTALL_DATA)  $(srcdir)/rule-64.png $(DESTDIR)$(kde_datadir)/kmfsystray/icons/hicolor/64x64/actions/rule.png
	$(INSTALL_DATA)  $(srcdir)/user_defined-16.png	$(DESTDIR)$(kde_datadir)/kmfsystray/icons/hicolor/16x16/actions/user_defined.png
	$(INSTALL_DATA)  $(srcdir)/builtin-16.png	$(DESTDIR)$(kde_datadir)/kmfsystray/icons/hicolor/16x16/actions/builtin.png
	$(INSTALL_DATA)  $(srcdir)/table-16.png	$(DESTDIR)$(kde_datadir)/kmfsystray/icons/hicolor/16x16/actions/table.png



	
uninstall-local:
	-rm -f $(DESTDIR)$(kde_icondir)/hicolor/64x64/apps/kmyfirewall.png
	-rm -f $(DESTDIR)$(kde_icondir)/hicolor/48x48/apps/kmyfirewall.png
	-rm -f $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps/kmyfirewall.png
	-rm -f $(DESTDIR)$(kde_icondir)/hicolor/22x22/apps/kmyfirewall.png
	-rm -f $(DESTDIR)$(kde_icondir)/hicolor/16x16/apps/kmyfirewall.png
	-rm -f $(DESTDIR)$(kde_icondir)/locolor/48x48/apps/kmyfirewall.png
	-rm -f $(DESTDIR)$(kde_icondir)/locolor/32x32/apps/kmyfirewall.png
	-rm -f $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/kmyfirewall.png
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/pics/kmf_snapshot_generic_interface.png
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/pics/kmf_snapshot_iptables_interface.png
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/pics/reject.png
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/pics/target.png
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/pics/splash.png
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/pics/splash_cut.png
	
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/16x16/actions/rule.png	
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/22x22/actions/rule.png	
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/32x32/actions/rule.png	
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/48x48/actions/rule.png	
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/64x64/actions/rule.png	
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/16x16/actions/user_defined.png
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/16x16/actions/builtin.png
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/icons/hicolor/16x16/actions/table.png	
	
	-rm -rf $(DESTDIR)$(kde_datadir)/kmyfirewall/pics
	-rm -rf $(DESTDIR)$(kde_datadir)/kmyfirewall/icons

####### tdevelop will overwrite this part!!! (end)############
# These paths are KDE specific. Use them:
# kde_appsdir         Where your application's menu entry (.desktop) should go to.
# kde_icondir         Where your icon should go to - better use KDE_ICON.
# kde_sounddir        Where your sounds should go to.
# kde_htmldir         Where your docs should go to. (contains lang subdirs)
# kde_datadir         Where you install application data. (Use a subdir)
# kde_locale          Where translation files should go to. (contains lang subdirs)
# kde_cgidir          Where cgi-bin executables should go to.
# kde_confdir         Where config files should go to (system-wide ones with default values).
# kde_mimedir         Where mimetypes .desktop files should go to.
# kde_servicesdir     Where services .desktop files should go to.
# kde_servicetypesdir Where servicetypes .desktop files should go to.
# kde_toolbardir      Where general toolbar icons should go to (deprecated, use KDE_ICON).
# kde_wallpaperdir    Where general wallpapers should go to.
# kde_templatesdir    Where templates for the "New" menu (Konqueror/KDesktop) should go to.
# kde_bindir          Where executables should go to. Use bin_PROGRAMS or bin_SCRIPTS.
# kde_libdir          Where shared libraries should go to. Use lib_LTLIBRARIES.
# kde_moduledir       Where modules (e.g. parts) should go to. Use kde_module_LTLIBRARIES.
# kde_styledir        Where Qt/KDE widget styles should go to (new in KDE 3).
# kde_designerdir     Where Qt Designer plugins should go to (new in KDE 3).

